﻿* {
    padding: 0;
    margin: 0;
}

@font-face {
    font-family: '"Open Sans"';
    font-style: normal;
    font-weight: 300;
    src: url('../Fonts/"Open Sans"/"Open Sans"-Light.ttf') format('truetype');
}

@font-face {
    font-family: '"Open Sans"';
    font-style: normal;
    font-weight: 400;
    src: url('../Fonts/"Open Sans"/"Open Sans"-Regular.ttf') format('truetype');
}

@font-face {
    font-family: '"Open Sans"';
    font-style: normal;
    font-weight: 700;
    src: url('../Fonts/"Open Sans"/"Open Sans"-Bold.ttf') format('truetype');
}

body {
    margin: 0;
    padding: 0;
    font: normal normal normal 14px/18px "Open Sans", sans-serif;
    color: #555555;
    background: #EEEEEE;
    width: 100%;
    height: 100%;
    overflow: auto;
}

.imagen-fondo {
    background-image: url(Content/Image/login/Login.png);
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    Object-fit: none;
    display: grid;
    gap: 20px;
    align-items: center;
    align-content: center;
    justify-content: center;
}

.login {
    display: grid;
    gap: 15px;  
}

.contenido {
    display: grid;
    grid-template-columns: 70% auto;
    height: 100%;
    width: 100%;
}

    .contenido > div {
        display: grid;
    }

.contenidoPhone {  
    position: relative;
    height: 100%;
}

.filaImage {
    background-image: url(../Image/login/Login.png);
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    gap: 20px;
    align-items: center;
    align-content: center;
    justify-content: center;
}
.filaImagePhone {
    position: absolute;
    top: 0;
    left: 0;
    gap: 0px;
    background-size: cover;
    background-position: center;
    display: flex;
}

.filaLogin {
    align-items: center;
    align-content: center;
    justify-items: center;
}

.filaLoginPhone {
    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 300px; 
    border-radius: 5px; 
    padding: 16px; 
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5); 
    background-color: white; 
}

.image-logo {
    height: 60px;
    margin: auto;
    margin-bottom: 25px;
}

.texto-login {
    color: #1B7B84;
    font-size: 16px;
    line-height: 16px;
}


.input {
    height: 50px;
    background: transparent;
    padding: 0 20px;
    border-radius: 5px;
    border: 1px solid #9E9E9E;
    font-size: 0.875rem;
    line-height: 1.188rem;
    margin-bottom: 15px;
}

.inputIngresar {
    height: 50px;
    background: transparent;
    border-radius: 5px;
    border: 1px solid #9E9E9E;
    font-size: 0.875rem;
    line-height: 1.188rem;
    margin-bottom: 15px;
}

.input-container {
    position: relative;
}

.bright {
    filter: contrast(0); 
}

.input {
    height: 50px;
    background: transparent;
    padding: 0 40px 0 20px;
    border-radius: 5px;
    border: 1px solid #9E9E9E;
    font-size: 0.875rem;
    line-height: 1.188rem;
    margin-bottom: 15px;
    width: 100%;
}

.password-toggle {
    position: absolute;
    top: 40%;
    right: 15px;
    transform: translateY(-50%);
}

.errorLogin {
    display: flex;
    padding: 6px 16px;
    align-items: flex-start;
    gap: 12px;
    align-self: stretch;
}

.alertaLogin {
    display: flex;
    padding: 0px 6px 0px 16px;
    align-items: flex-start;
    gap: 12px;
    align-self: stretch;
    width: 50px;
    height: 50px;
}

.contentCloseAlert {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
}

input:focus, input:focus-visible {
    border-color: #286D76;
    border-width: 1.5px;
    outline: none;
    transition: .4s all;
}
 
.btn-ingresar {
    height: 50px;
    background-color: #286D76;
    margin-top: 30px !important;
    border-radius: 30px !important;
    color: #F4F6F6;
    border-color: #286D76;
    font-size: 1.25rem;
    line-height: 1.625rem;
    cursor: pointer;
}

    .btn-ingresar:hover {
        background-color: #1B7B84;
    }

.texto-recuperar-wrapper {
    display: grid;
    gap: 10px;
}

.texto-recuperar {
    color: #286D76;
    cursor: pointer;
    font-size: 1rem;
    line-height: 1.125rem;
    font-weight: normal;
}

    .texto-recuperar:hover {
        color: #21618C;
    }

.texto-fondo-uno {
    color: white;
    font-size: 4.1rem;
    line-height: 4.5rem;
}
.texto-fondo-uno-phone {
    position: absolute;
    transform: translate(-50%, -50%);
    top: 16%;
    left: 50%;
    text-align: center;
}


.texto-fondo-dos {
    color: white;
    font-size: 2.5rem;
    line-height: 2.7rem;
    font-weight: 300;
}

.texto-fondo-dos-phone {
    position: absolute;
    transform: translate(-50%, -50%);
    top: 27%;
    left: 50%;
    width: 300px;
    text-align: center;
}

.closeError {
    border: 0 !important;
    outline: none;
    object-fit: fill;
    height: 20px;
    width: 20px;
    fill: #7c7c7c;
    cursor: pointer;
}

    .closeError:hover {
        transform: scale(1.1);
        transition: .4s all;
    }

.divError {
    border: #FF5252 solid 1px;
    display: grid;
    grid-template-columns: auto 200px auto;
    padding: 10px;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.43;
    border-radius: 5px;
    letter-spacing: 0.01071em;
    background: transparent;
    margin-top: 8px;
    align-content: center;
    align-items: center;
    transition: .4s all;
}

.divAlerta {
    display: grid;
    grid-template-columns: auto 200px auto;
    padding: 10px;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.43;
    border-radius: 5px;
    letter-spacing: 0.01071em;
    background: #FFF4E5;
    color: #663C00;
    margin-top: 8px;
    align-content: center;
    align-items: center;
    transition: .4s all;
}

@media (max-width: 1388px) {
    .contenido {
        grid-template-columns: 60% auto;
    }
}

@media (max-width: 1150px) {
    .texto-fondo-uno {
        font-size: 3.1rem;
        line-height: 3.5rem;
    }

    .texto-fondo-dos {
        font-size: 1.5rem;
        line-height: 1.7rem;
    }
}
